Discussions specific to the VMware vSphere hypervisor
Post Reply
ejenner
Expert
Posts: 397
Liked: 57 times
Joined: Mar 23, 2018 4:43 pm
Full Name: EJ
Location: London
Contact:

VSphere 5.5, Veeam 9.5 and Win2016

Post by ejenner » Aug 30, 2019 12:13 pm

Hi there,

Does anyone have the above described (VSphere 5.5, Veeam 9.5 and Win2016) combination of versions working ok?

I'm trying to migrate one of my B&R servers from Veeam 9.5 on Windows 2008 to a new Windows 2016 server.

On the new server when the job tries to run you get: "Disks and volumes discovery failed Error: The request was aborted: Could not create SSL/TLS secure channel"

We're phasing out VMware so only a handful of VMs left on the old environment and we don't want to upgrade it. It still has to backed up though.

From what I can tell so far it may be an OS issue with increased security on the later version of Windows. It may also be a VSphere problem where the SSL certificate is still the default VMware certificate from when the system was first setup.

On the migrated version of Veeam running on Windows 2016 you can't 'rescan' the VMware environment. It produces an error similar to that mentioned above.

Anyone come across this?

foggy
Veeam Software
Posts: 18245
Liked: 1558 times
Joined: Jul 11, 2011 10:22 am
Full Name: Alexander Fogelson
Contact:

Re: VSphere 5.5, Veeam 9.5 and Win2016

Post by foggy » Aug 30, 2019 4:15 pm

Could be related to this, but I'd recommend contacting support for a closer look since you seem to be on a newer system. Thanks!

ejenner
Expert
Posts: 397
Liked: 57 times
Joined: Mar 23, 2018 4:43 pm
Full Name: EJ
Location: London
Contact:

[MERGED] Config Migration does not migrate everything?

Post by ejenner » Sep 04, 2019 9:12 am

Hi guys,

I'm trying to migrate an old (hardware) backup server to a new OS. Veeam version is the same between the 2 machines (9.5 U4)

After migrating the config to the new server I'm unable to rescan VCenter. It comes up with an error:

04/09/2019 10:08:39 Error [VCenter name] Disks and volumes discovery failed Error: The request was aborted: Could not create SSL/TLS secure channel.

I know the error is about SSL certificates but can't understand why it works on the old server but not the new one?

The trouble I've got is that nobody on our team (including me) has enough VCenter knowledge to be able to update the certificates on VCentre 5.5. I've seen the various articles available on Google and tried a couple of the guides but it always ends with the VCenter broken and having to be restored. Our VCenter is using the original certificates supplied by VMware upon installation and we've no other reason to want to update them. We're decommissioning the environment soon but must still back it up in the meantime.

Anybody got any ideas?

foggy
Veeam Software
Posts: 18245
Liked: 1558 times
Joined: Jul 11, 2011 10:22 am
Full Name: Alexander Fogelson
Contact:

Re: VSphere 5.5, Veeam 9.5 and Win2016

Post by foggy » Sep 04, 2019 10:19 am

Have you contacted support as it was advised above?

ejenner
Expert
Posts: 397
Liked: 57 times
Joined: Mar 23, 2018 4:43 pm
Full Name: EJ
Location: London
Contact:

Re: VSphere 5.5, Veeam 9.5 and Win2016

Post by ejenner » Sep 04, 2019 11:15 am

From the Veeam side of things it's more of an oddity than something they're likely to be able to help with. i.e. It's just the way the program works. How can they fix the lack of a valid SSL certificate?

My only questions were whether or not I'm interpreting the error message correctly, which by this stage I believe I am. And secondly, why the old server works and the new one doesn't even though the config was migrated. Knowing the answer to the second question is unlikely to resolve the issue.

I think what we have to do is sort out the problem with our VCenter certificates. It would just be nice to hear some opinions on some of the questions. I don't think it's a matter for Veeam to resolve. Tell me I'm wrong...

ejenner
Expert
Posts: 397
Liked: 57 times
Joined: Mar 23, 2018 4:43 pm
Full Name: EJ
Location: London
Contact:

Re: VSphere 5.5, Veeam 9.5 and Win2016

Post by ejenner » Sep 05, 2019 10:25 am 2 people like this post

I've managed to sort this.

So for the benefit of anyone else who comes across the same problem it is pretty easy to resolve. Just difficult to diagnose.

When you have the older VCentere 5.5 it still uses TLS 1.0. You can re-enable the older protocol by going to:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.0\Client
HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.0\Server

and amending the DWORD value for the 'enabled' entry to hexadecimal 1. Then restart the server for good measure.

Gostev
SVP, Product Management
Posts: 24787
Liked: 3520 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: VSphere 5.5, Veeam 9.5 and Win2016

Post by Gostev » Sep 05, 2019 7:53 pm

Thanks for coming back to share the solution! This will surely help future readers having the same issue.

adb98
Enthusiast
Posts: 49
Liked: 9 times
Joined: Jul 21, 2016 5:03 pm
Full Name: Aaron B
Contact:

Re: VSphere 5.5, Veeam 9.5 and Win2016

Post by adb98 » Sep 06, 2019 2:25 pm 1 person likes this post

Check out ISSCrypto. This is a nice tool that gives you the status all your TLS and SSL protocols. Easy to enable and disable. Just need to reboot to take effect. Been using it for years. We disable most of this on our server templates and every now and then we get a slack vendor that requires a certain version.

Post Reply

Who is online

Users browsing this forum: rboonstra and 37 guests